> For the complete documentation index, see [llms.txt](https://docs.swarm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swarm.com/reference/smart-contracts.md).

# Smart contracts

The Swarm smart contracts can currently be found below:

## Smart contract and current configurations

| Smart contract      | Ethereum address                                                                | Polygon address                                                                                                          |
| ------------------- | ------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Deployer            | 0x5c573e7eE69926B79Be8283E4c421Ccca288bC06                                      | 0x5c573e7eE69926B79Be8283E4c421Ccca288bC06                                                                               |
| Authorization       | 0xE4DDF30e91FD4Fa43fd69B46f232CA67db79DFCD                                      | 0xb161fb38ccCe7E70a010a60736cf579AB6cA130d                                                                               |
| Permission Items:   | 0xB441417E6ff3ACf60B9F0216D8c3179913080dAa                                      | 0xCE07D5B55EE08a70A5D8786e9b6540b98fB2E740                                                                               |
| Permission Manager: | 0xE214d97ba7fF83144699737f73D271C006013d91                                      | 0x2dDe22CbF81844492b5f29a2938ab075a8224Ef5                                                                               |
| ProtocolFee:        | [250000000000000000](https://etherscan.io/unitconverter?wei=250000000000000000) | [250000000000000000](https://etherscan.io/unitconverter?wei=250000000000000000)                                          |
| MaxProtocolFee:     | 20000000000000000                                                               | 20000000000000000                                                                                                        |
| MinProtocolFee:     | [1000000000000000](https://etherscan.io/unitconverter?wei=1000000000000000)     | [1000000000000000](https://etherscan.io/unitconverter?wei=1000000000000000)                                              |
| Fee receiver:       | 0x1A2356D54aEEad105f203a5c51a6307Ec100494e                                      | [0x5B3e3b28EC066d15b63c5423E0A32B6c44401824](https://polygonscan.com/address/0x5B3e3b28EC066d15b63c5423E0A32B6c44401824) |

## dOTC v1

| Smart contract     | Ethereum                                   | Polygon                                    |
| ------------------ | ------------------------------------------ | ------------------------------------------ |
| dOTC Manager       | 0x1d0D0516385D2ff6748A3b87Ba2C2cC37F287D4a | 0x429737c0DdF17779803Aba8B5E6133012952B4c3 |
| dOTC Manager Proxy | 0xF8981283ac9691B7783a9086277665A962fC13f3 | 0xF8981283ac9691B7783a9086277665A962fC13f3 |
| Escrow             | 0xB8ADaD01342D656D8f70Fe1fa55cc3FBb6965f7d | 0x4bAF3fAF58ccf73C7Ca8a5391B596797c3Ea3E2E |

## dOTC v2

|                   |                                            |                                            |
| ----------------- | ------------------------------------------ | ------------------------------------------ |
| dOTC              | 0x0a103eE32F4209926D8ba7e528AFf8a831Ed3daE | 0x22593B8749a4e4854C449c30054bb4d896374fa1 |
| dOTC Manager      | 0x0a4010B884a8E3f9Fb3611fE830a01B46fbE2073 | 0xB4De1A227d51C0C003CBd5321DDEa92c6cd7546f |
| dOTC Escrow       | 0x4877D1B8c028095582f4E4F273d0Ec914E15A53a | 0x7dE0DA30ada33b23E66d562b9B5aa7c508F9F147 |
| Asset helper      | 0x0969C4233120ea77f3F54B9FD5143c61E2CDd2eE | 0x28a252D433a93dab6286A5784207Db8c2f848FAF |
| Offer helper      | 0xF61ED41749CD82767057aA39EDCEE8d797D40719 | 0x06d6a7BDFFAFa3c953d7B9842f7F414a6e0bEb4A |
| dOTC offer helper | 0x6b8808910c298239AaBF6475E99eA468F1D52A0d | 0x28295039f74b04A3FF788c1Af679182cd9110b89 |

SMT Securities Staking contract

| Smart contract         | Polygon address                            |
| ---------------------- | ------------------------------------------ |
| SMT Securities Staking | 0x813B9bE9ef5c7bBCd89A8276Fa14dd96319411B1 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swarm.com/reference/smart-contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
